Module javafx.base
Package javafx.beans.value

## Interface ObservableMapValue<K,​V>

- Type Parameters:
    `K` - the type of the key elements of the `Map`
    `V` - the type of the value elements of the `Map`
  All Superinterfaces:
    `Map<K,​V>`, `Observable`, `ObservableMap<K,​V>`, `ObservableObjectValue<ObservableMap<K,​V>>`, `ObservableValue<ObservableMap<K,​V>>`
  All Known Implementing Classes:
    `MapBinding`, `MapExpression`, `MapProperty`, `MapPropertyBase`, `ReadOnlyMapProperty`, `ReadOnlyMapPropertyBase`, `ReadOnlyMapWrapper`, `SimpleMapProperty`

      public interface ObservableMapValue<K,​V>
      extends ObservableObjectValue<ObservableMap<K,​V>>, ObservableMap<K,​V>

  An observable reference to an `ObservableMap`.
  Since:
    JavaFX 2.1
  See Also:
    `ObservableMap`, `ObservableObjectValue`, `ObservableValue`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Method Summary

    - ### Methods inherited from interface java.util.Map

      `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods inherited from interface javafx.collections.ObservableMap

      `addListener, removeListener`

    - ### Methods inherited from interface javafx.beans.value.ObservableObjectValue

      `get`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`